import React, {useState, useEffect} from 'react'

export default function ReviewOrder(props) {


    let calcTotalBeforeTax = (itemsTotal, shippingTotal) => {
        return parseFloat(itemsTotal) + parseFloat(shippingTotal)
    }

    let calcTaxAmount = (itemsTotal, shippingTotal, taxRate) => {
        return calcTotalBeforeTax(itemsTotal, shippingTotal) * taxRate
    }

    let calcGrandTotal = (itemsTotal, shippingTotal, taxRate) => {
        return calcTotalBeforeTax(itemsTotal, shippingTotal) * (parseFloat(1.00) + parseFloat(taxRate))
    }
    
    return (
        <div id="ReviewOrder">

            <div className="OrderReviewElement" id="OrderSummary">
                <p>Step 3 - Order Summary</p>
            </div>

            <div className="OrderSummaryElement" id="itemsPrice">
                <div>
                    Items {props.numCartItems}:
                </div>

                <div>
                    ${props.itemsTotal}
                </div>
            </div>


            <div className="OrderSummaryElement" id="shippingHandling">
                <div id="shippingHandlingLabel">
                    Shipping and Handling:
                </div>

                <div id="shippingHandlingPrice">
                    ${props.shippingHandling}
                </div>
            </div>

            <div className="OrderSummaryElement" id="beforeTax">
                <div id="beforeTaxLabel">
                    Total Before Tax
                </div>

                <div id="beforeTaxPrice">
                    {/* ${props.itemsTotal + props.shippingHandling} */}
                    ${calcTotalBeforeTax(props.itemsTotal, props.shippingHandling)}
                </div>
            </div>

            <div className="OrderSummaryElement" id="taxCalculated">
                <div id="taxCalculatedLabel">
                    Estimated Tax:
                </div>

                <div id="taxCalculatedPrice">
                    ${calcTaxAmount(props.itemsTotal, props.shippingHandling, props.taxRate)}
                </div>
            </div>

            <div className="OrderSummaryElement" id="orderTotal">
                <div id="orderTotalLabel">
                    Order Total:
                </div>

                <div id="orderTotalPrice">
                    ${calcGrandTotal(props.itemsTotal, props.shippingHandling, props.taxRate)}
                </div>
            </div>
        </div>
    )
}
